Ramp: Update a vendor — accounting patch Accounting Vendor Resource — request body — body
Update a vendor — accounting.patchAccountingVendorResource: request body, field body. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Update a vendor — accounting patch Accounting Vendor Resource — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accounting_connection_id | string | Optional | If this vendor belongs to an inactive accounting connection, you must specify that accounting connection’s ID. Format: uuid |
code | string | Optional | Code of the vendor; you could provide an empty string to reset the code. |
entity_remote_ids | JSON | Optional | |
entity_remote_ids (anyOf 1) | array | Alternative | Remote/external IDs of entities created through POST /developer/v1/accounting/entities that this vendor should be available for. Pass null to reset the vendor to all connected entities. Omit this field to leave entity scoping unchanged. Minimum items: 1 |
entity_remote_ids (anyOf 1)[] | string | Each item | Minimum length: 1 |
entity_remote_ids (anyOf 2) | null | Alternative | |
name | string | Optional | Name of a vendor |
reactivate | boolean | Optional | reactivate a deleted vendor One of: true |